=head1 NAME

Glib::Boxed -  Generic wrappers for C structures

=cut

=for position DESCRIPTION

=head1 DESCRIPTION

Glib::Boxed is a generic wrapper mechanism for arbitrary C structures.
For the most part you don't care about this as a Perl developer, but it
is important to know that all Glib::Boxed descendents can be copied with
the C<copy> method.

=cut



=head1 HIERARCHY

  Glib::Boxed



=cut

=for object Glib::Boxed Generic wrappers for C structures
=cut




=head1 METHODS

=head2 copy_of_boxed = $boxed->B<copy>

Create and return a new copy of I<$boxed>.



=cut


=head1 SEE ALSO

L<Glib>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2009 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Glib> for a full notice.



=cut

